Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002977TestLinkRequirement Managementpublic2009-11-27 03:592010-05-01 20:31
ReporterJulian 
Assigned Toasimon 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 3 
Summary0002977: Internal Links for Requirements and Requirement Specifications
Descriptionreq=requirement
reqspec=requirement specification


Users should have the chance to easily create links from a req/reqspec to another req/reqspec

Users would be able to create a link by using simple tags.

Examples:
user has currently defined 1 req and 1 reqspec:
Requirement 1 with document ID: Req1
Requirement Specification 1 with document ID: ReqSpec1

When creating/editing another req OR reqspec the user can create links to already existing reqs or reqspecs.
To link to Requirement 1 user would enter [req]Req1[/req]
To link to Requirement Specification 1 user would enter [req_spec]ReqSpec1[/req_spec]

After saving tags disappear and a clickable link is set instead. Link would look like this(Req:doc_id, ReqSpec:doc_id): Req:Req1 and ReqSpec:ReqSpec1

If the doc_id does not exist in database tags are still there after saving.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0001748closedasimon Requirement Management need to be improved with requirement relations between requirements 

-  Notes
(0008922)
Julian (reporter)
2010-02-02 20:56

issue reopened for additional changes to make use more customizable.
Details will follow
(0008923)
Julian (reporter)
2010-02-02 21:02
edited on: 2010-02-02 21:03

1. linking between projects by using special tag
[req tproj=<proj_prefix>]ReqDocID[/req]
or
[req_spec tproj=<proj_prefix>]ReqSpecDocID[/req_spec]


2. configuration of hyperlink target on config.inc.php, e.g. link should open on popup, blank, mainFrame, etc.

3. configuration of "link-text": right now "Req.:ReqDocID" or "ReqSpec.:ReqSpecDocID" is created - the "Req.:" / "ReqSpec.:" part should be configurable on config.inc.php. Empty string should be possible

(0008925)
fman (administrator)
2010-02-02 21:07

Please get user manual from CVS and add this info
(0009130)
mhavlat (reporter)
2010-02-23 02:05

I checked-in initial version of 1.9 User manual to repository.
(0009252)
asimon (developer)
2010-03-01 18:43

Added possibility to modify tags with parameters "anchor" and "tproj". Tested and committed to head.

- Issue History
Date Modified Username Field Change
2009-11-27 03:59 Julian New Issue
2009-11-27 03:59 Julian Status new => assigned
2009-11-27 03:59 Julian Assigned To => Julian
2009-12-03 17:58 Julian Status assigned => resolved
2009-12-03 17:58 Julian Fixed in Version => 1.9 (DEV)
2009-12-03 17:58 Julian Resolution open => fixed
2010-02-02 20:56 Julian Note Added: 0008922
2010-02-02 20:56 Julian Status resolved => assigned
2010-02-02 20:56 Julian Resolution fixed => reopened
2010-02-02 20:56 Julian Description Updated
2010-02-02 21:02 Julian Note Added: 0008923
2010-02-02 21:03 Julian Note Edited: 0008923
2010-02-02 21:06 Julian Description Updated
2010-02-02 21:07 fman Note Added: 0008925
2010-02-23 02:05 mhavlat Note Added: 0009130
2010-02-23 02:08 mhavlat Relationship added parent of 0001748
2010-02-23 02:10 mhavlat Relationship replaced related to 0001748
2010-02-23 21:22 asimon Assigned To Julian => asimon
2010-02-23 21:22 asimon Status assigned => work in progress
2010-03-01 18:41 asimon Status work in progress => assigned
2010-03-01 18:43 asimon Note Added: 0009252
2010-03-01 18:43 asimon Status assigned => resolved
2010-03-01 18:43 asimon Fixed in Version 1.9 Beta 2 => 1.9 Beta 3 (Next Beta)
2010-03-01 18:43 asimon Resolution reopened => fixed
2010-05-01 20:31 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker